Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/GPS plugin

Affected QGIS version:3.2.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 26595

Description

The GPSInfo box doesn't see my usb-com3 port (QGIS 3.0)

Was OK with QGIS 2.12

History

#1 - 2019-01-12 02:19 AM - Loren Amelang

Martin Fafard wrote:

The GPSInfo box doesn't see my usb-com3 port (QGIS 3.0)

Was OK with QGIS 2.12

I have QGIS 3.2.1 on Win 10 64-bit. Mine sees COM 3, 4, 6, and 8, but not COM9 where my GPS output is. All Bluetooth serial devices seem to get two

ports, the lower number for Win->device and the higher number for device->Win. I can connect it to COM8, but it gets no data there. Other apps can

connect to COM9 normally.

AutoConnect connected to something, once, but it wasn't recognizing any GPS data coming in.

As in #18719, I also lack the polar display choice. Sounds like there are some unhandled issues with making GPS work in Windows?

Sorry, I'm not interested enough in this to update QGIS and try the slightly newer version. Doubt it would matter. But please let me know if it would!

#2 - 2019-01-14 12:42 AM - Giovanni Manghi

- Affected QGIS version changed from 3.0.0 to 3.2.1

- Status changed from Open to Feedback

Sorry, I'm not interested enough in this to update QGIS and try the slightly newer version. Doubt it would matter. But please let me know if it would!

it is always more useful to test against the latest version, especially if is a ltr, as 3.4 is.

#3 - 2019-01-14 06:14 AM - Loren Amelang

Giovanni Manghi wrote:
it is always more useful to test against the latest version, especially if is a ltr, as 3.4 is.

OK, I like having LTR versions...  I just let OSGeo4W do its thing while I took a shower break, and...  Now it works! It sees all the incoming data ports as

well as the outgoing command ports. Connects right up, draws tracks on the map. Somebody obviously fixed some detail somewhere.

Thanks for getting me to try 3.4!

#4 - 2019-01-14 09:51 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

#5 - 2019-01-14 01:48 PM - Jürgen Fischer

- Resolution changed from fixed/implemented to worksforme
